Subject: Re: [syzbot] [net?] KASAN: slab-use-after-free Read in ptp_read

From: syzbot <[email-masked]>
Date: Sun, 10 Dec 2023 13:38:04 -0800

syzbot suspects this issue was fixed by commit:

commit b714ca2ccf6a90733f6ceb14abb6ce914f8832c3
Author: Edward Adam Davis <[email-masked]>
Date:   Tue Nov 7 08:00:40 2023 +0000

    ptp: ptp_read should not release queue

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=10477d6ce80000
start commit:   4bbdb725a36b Merge tag 'iommu-updates-v6.7' of git://git.k..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=beb32a598fd79db9
dashboard link: https://syzkaller.appspot.com/bug?extid=9704e6f099d952508943
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=17233388e80000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=17a3f898e80000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: ptp: ptp_read should not release queue

For information about bisection process see: https://goo.gl/tpsmEJ#bisection